Card BIN Checker

Instantpay's Card BIN Checker is a valuable tool for businesses. It verifies Bank Identification Numbers (BINs) with precision and efficiency. This solution uses a database, updated almost daily. It helps confirm a BIN's existence, and accurately identify the issuing bank and card type.

The Card BIN Checker helps prevent fraud. It also ensures reliable payments. It does this by checking card info against a current, extensive database.

Instantpay's Card BIN Checker helps secure businesses. It boosts confidence, streamlines transactions, and cuts risk.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Headers Parameter

NameTypeDescriptionMandatory (M) , Optional (O)Provided by INSTANTPAY (Y/N)
X-Ipay-Auth-CodeStringIt will be 1MY
X-Ipay-Client-IdStringUnique Client IDMY
X-Ipay-Client-SecretStringUnique secret keyMY
X-Ipay-Endpoint-IpStringEnd Customer IP AddressMN

Request Parameters

Parameter NameTypeRequirementDescription
binNumberStringMandatoryCredit Card first 6 digits
latitudeStringMandatoryEnd Customer latitude.
longitudeStringMandatoryEnd Customer longitude.
externalRefStringMandatoryYour unique transaction Id

Sample Request

curl --location --request POST 'https://api.instantpay.in/identity/binChecker' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'X-Ipay-Outlet-Id: {{outletID}}' \
--data-raw '{
    "binNumber": "346593",
    "latitude": "38.8951",
    "longitude": "77.0364",
    "externalRef": "3484-dsajkfj-33"
}'
POST /identity/binChecker HTTP/1.1
Host: api.instantpay.in
Accept: application/json
Content-Type: application/json
X-Ipay-Auth-Code: 1
X-Ipay-Client-Id: YWY3OTAzYzNlM2ExZTJlOfh549Gzt+5IEcETrD5Yx+Q=
X-Ipay-Client-Secret: 679db35f926b8d0240a8c0d28729528ee8e6d5effa5fa0b20c04454004d2d825
X-Ipay-Endpoint-Ip: 45.115.105.205
X-Ipay-Outlet-Id: 72762
Content-Length: 127

{
    "binNumber": "346593",
    "latitude": "38.8951",
    "longitude": "77.0364",
    "externalRef": "3484-dsajkfj-33"
}

Response Parameters

Parameter NameTypeDescription
statuscodeStringInstantPay Status Code
actcodeStringAction Code
statusStringStatus message
dataArrayResponse Data (If Present)
binDetailsArrayCard BIN Details
timestampStringResponse time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id ( If transaction otherwise it is null )
enviromentStringLive/Sandbox

Sample Response

{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Transaction Successful",
    "data": {
        "externalRef": "3484-dsajkfj-33",
        "pool": {
            "account": "7428585742",
            "openingBal": "381.45",
            "mode": "DR",
            "amount": "0.59",
            "closingBal": "380.86"
        },
        "binDetails": {
            "bin": "346590",
            "cardNetwork": "AMERICAN EXPRESS",
            "cardType": "CREDIT",
            "cardLevel": "",
            "isoCountryName": "UNITED STATES",
            "isoCountryA2": "US",
            "issuerBank": "",
            "issuerWebsite": "",
            "issuerPhone": "",
            "cardTransfer": "F"
        }
    },
    "timestamp": "2022-11-23 14:36:06",
    "ipay_uuid": "h06897cff5ba-5b1d-4ff0-8f09-0b59c8446895",
    "orderid": "1221123143606CCERP",
    "environment": "LIVE",
    "internalCode": null
}
🚧

Important Points :

Make sure to verify the issuerBank before starting the transaction if it's incorrect or blank in the API response.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json